KAboutKDE class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAboutKDE Class Reference

This class provides the standard "About KDE" dialog box that is used KHelpMenu Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. Standard "About KDE" dialog box,. More...

`#include <kaboutkde.h>`

Inheritance diagram for KAboutKDE:

[legend]
Collaboration diagram for KAboutKDE:

[legend]
List of all members.

## Public Member Functions
| KAboutKDE (QWidget *parent=0, const char *name=0, bool modal=true)
| Constructor.

## Detailed Description

This class provides the standard "About KDE" dialog box that is used KHelpMenu Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. Standard "About KDE" dialog box,.

If you do the latter, the help menu and thereby this dialog box is available through the KMainWindow::helpMenu() function.

Author:
  Espen Sand (espen@kde.org)

Version:
  $Id:

Definition at line 40 of file kaboutkde.h.

## Constructor & Destructor Documentation

KAboutKDE::KAboutKDE | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | modal = true
| ) |

  | Constructor. Creates a fully featured "About KDE" dialog box. Note that this dialog is made modeless in the KHelpMenu class so the users may expect a modeless dialog. Parameters:
  parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
  name | Internal name of the widget. This name in not used in the caption.
  modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec()
Definition at line 29 of file kaboutkde.cpp. References KAboutDialog::addTextPage(), QString::fromLatin1(), locate(), KStdAccel::name(), KDialogBase::setHelp(), KAboutDialog::setImage(), KAboutDialog::setImageBackgroundColor(), and KAboutDialog::setTitle().

The documentation for this class was generated from the following files:

- kaboutkde.h
- kaboutkde.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:58:35 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001